<template>
  <div>
    <div>
      <div class="reg">
        <div class="register-data">
          <div class="reg-container">
            <div v-if="!loggedUser">
              <h1 class="text-center">
                <strong>Registration</strong>
              </h1>
              <br />
              <form method="post">
                <!-- <input type="hidden" name="_token" value="95DboBXcIKi9YyC6G19ohbKqMzZlsQ3BLhoddh0U" /> -->
                <div class="row no-gutters">
                  <div class="col">
                    <div class="form-group p-1">
                      <div class="input-group">
                        <input
                          type="text"
                          name="name"
                          value
                          v-model="user.name"
                          class="form-control"
                          placeholder="Full Name"
                        />
                      </div>
                    </div>
                  </div>
                  <div class="col">
                    <div class="form-group p-1">
                      <div class="input-group">
                        <input
                          type="text"
                          name="company"
                          value
                          v-model="user.company"
                          class="form-control"
                          placeholder="Company"
                        />
                      </div>
                    </div>
                  </div>
                </div>
                <div class="row no-gutters">
                  <div class="col">
                    <div class="form-group p-1">
                      <div class="input-group">
                        <input
                          type="text"
                          name="title"
                          v-model="user.title"
                          value
                          class="form-control"
                          placeholder="Title"
                        />
                      </div>
                    </div>
                  </div>
                  <div class="col">
                    <div class="form-group p-1">
                      <div class="input-group">
                        <input
                          type="text"
                          name="phone"
                          v-model="user.phone"
                          value
                          class="form-control"
                          placeholder="Mobile Number"
                        />
                      </div>
                    </div>
                  </div>
                </div>
                <div class="row no-gutters">
                  <div class="col">
                    <div class="form-group p-1">
                      <div class="input-group">
                        <input
                          type="email"
                          name="email"
                          v-model="user.email"
                          value
                          class="form-control"
                          placeholder="Corporate Email"
                        />
                      </div>
                    </div>
                  </div>
                  <div class="col">
                    <div class="form-group p-1">
                      <div class="input-group">
                        <input
                          type="password"
                          name="password"
                          v-model="user.password"
                          class="form-control"
                          placeholder="Password"
                        />
                      </div>
                    </div>
                  </div>
                </div>

                <div class="row no-gutters">
                  <div class="col col-sm-6 col-lg-6 col-xl-6">
                    <div class="form-group p-1">
                      <div class="input-group">
                        <input
                          type="text"
                          name="country"
                          value
                          v-model="user.country"
                          class="form-control"
                          placeholder="City"
                        />
                      </div>
                    </div>
                  </div>
                </div>

                <div class="row no-gutters">
                  <div class="col-12">
                    <div class="form-group p-1">
                      <div class="custom-control custom-checkbox">
                        <input
                          type="checkbox"
                          class="custom-control-input"
                          v-model="user.keep_updated"
                          name="keep_updated"
                          ref="keepInformed"
                          id="customCheck1"
                        />
                        <label
                          class="custom-control-label"
                          for="customCheck1"
                        >Please Keep Me Informed on Product updates , Promotion and Events From Lenovo.</label>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-group text-center">
                  <a type="submit" class="btn btn-orange" @click="register()">Register Now</a>
                </div>
              </form>
            </div>
            <div v-else>
              <h1>Welcome, {{ loggedUser.account.name }}</h1>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import { store } from "../../store/index.js";
export default {
  data() {
    return {
      user: {}
    };
  },
  computed: {
    loggedUser: function() {
      return store.getters.getUserInfo;
    }
  },
  methods: {
    register() {
      if (this.$refs.keepInformed.checked == false) {
        this.user.keep_updated = 2;
      } else {
        this.user.keep_updated = 1;
      }
      axios
        .post("http://ramadan-iftar.cat-sw.com/api/auth/register", this.user)
        .then(response => {
          store.commit("SET_LOGGED_USER", response.data);
        })
        .catch(error => {
          console.log(error);
        });
    }
  }
};
</script>

<style scoped>
.reg-container {
  padding: 2%;
  background-color: #3b3b3b;
  border-bottom: 10px solid #fb5f00;
}
h1,
.custom-control-label {
  color: white;
}
.btn-orange {
  background-color: #fb5f00;
  border-color: #fb5f00;
  color: #fff;
  font-weight: 500;
}
</style>
